# Demo notebooks and scripts for EPOS AI Platform


This repo contains notebooks and scripts demonstrating how to:
- Prepare IGF data for training model detecting P phase (i.e. transform mseeds into [SeisBench data format](https://seisbench.readthedocs.io/en/stable/pages/data_format.html)), check the [notebook](utils/Transforming%20mseeds%20to%20SeisBench%20dataset.ipynb).
The original data can be downloaded from the [drive](https://drive.google.com/drive/folders/1InVI9DLaD7gdzraM2jMzeIrtiBSu-UIK?usp=drive_link)

- Explore available data, check the [notebook](notebooks/Explore%20igf%20data.ipynb)
- Train cnn model (Seisbench PhaseNet) to detect P phase, check the [script](scripts/train.py)
- Use Weights & Biases to search for the best training hyperparams, check the [script](scripts/training_wandb_sweep.py)
- Validate model performance, check the [notebook](notebooks/Check%20model%20performance%20depending%20on%20station-random%20window.ipynb)
- Use model for detecting P phase, check the [notebook](notebooks/Present%20model%20predictions.ipynb)


### Usage

1. Install all dependencies with poetry, run: 
`poetry install`
2. Prepare .env file with content: 

    `WANDB_API_KEY="your key"`